<?php
##############################################################################
# ajout de containers
##############################################################################

include("../config.php3");
include($BIB."bib_generic.php3");

################################
# SQL FUNCTIONS
################################
function insertContainer($Name, $Container, $ShowTime, $EndTime, $ShowTimeOffset, $EndTimeOffset)
{
	main_db_query("INSERT INTO QContainers (Name,Container,ShowTime,EndTime,ShowTimeOffset,EndTimeOffset) VALUES ('".$Name."','".$Container."','".$ShowTime."','".$EndTime."','".$ShowTimeOffset."','".$EndTimeOffset."')");
}

function updateContainer($Name, $Container, $ShowTime, $EndTime, $ShowTimeOffset, $EndTimeOffset, $Id)
{
	main_db_query("UPDATE QContainers SET Name='".$Name."',Container='".$Container."',ShowTime='".$ShowTime."',EndTime='".$EndTime."',ShowTimeOffset='".$ShowTimeOffset."',EndTimeOffset='".$EndTimeOffset."' WHERE Id='".$Id."'");
}

function deleteContainer($Id)
{
	main_db_query("DELETE FROM QContainers WHERE Id='".$Id."'");
}

function getContainer($Id)
{
	return db_fetch_array(main_db_query("SELECT * FROM QContainers WHERE Id='".$Id."'"));
}

function selectAllContainers()
{
	return main_db_query("SELECT * FROM QContainers");
}

################################

$error = "";
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Gestion des Containers</div>
<br>
<?php

switch($submit)
{
	case "Valider":
		# formatage de toutes les chaines de char
		$Name = AddSlashes($Name);
		
		if ($Id==0)
		{
			# on insere une nouvelle réponse
			insertContainer($Name, $Container, $ShowTime, $EndTime, $ShowTimeOffset, $EndTimeOffset);
		}
		else
		{
			# on update si c'est une modif
			updateContainer($Name, $Container, $ShowTime, $EndTime, $ShowTimeOffset, $EndTimeOffset, $Id);
		}
		$Id=0;
		$Name = "";
		break;
		
	case "Supprimer":
		deleteContainer($Id);
		$Id=0;
		$Container = "";
		$Name = "";
		$ShowTime = "";
		$EndTime = "";
		$ShowTimeOffset = "";
		$EndTimeOffset = "";
		break;
	
	case "Infos":
		$info = getContainer($Id);
		
		$Container = $info[Container];
		$Name = $info[Name];
		$ShowTime = $info[ShowTime];
		$EndTime = $info[EndTime];
		$ShowTimeOffset = $info[ShowTimeOffset];
		$EndTimeOffset = $info[EndTimeOffset];
		break;
}

?>
<div class=universBold>Liste des containers</div>
<table border=1>
	<tr class=trTitle>
		<td>Id</td>
		<td>Container</td>
		<td>Nom</td>	
		<td>ShowTime</td>
		<td>EndTime</td>
		<td>ShowTimeOffset</td>
		<td>EndTimeOffset</td>
	</tr>
	
<?php
$rows = selectAllContainers();
while($row=db_fetch_array($rows))
{
	echo "<tr>";
	echo "<td>$row[Id]</td>";
	echo "<td>$row[Container]</td>";
	echo "<td>$row[Name]</td>";
	echo "<td>$row[ShowTime]</td>";
	echo "<td bgcolor=#cccccc>$row[EndTime]</td>";
	echo "<td>$row[ShowTimeOffset]</td>";
	echo "<td bgcolor=#cccccc>$row[EndTimeOffset]</td>";
	echo "</tr>";
}
    ?>
</table>
	<form>
<table>
	<tr>
		<td width=30%>
			Id :
		</td>
		<td>
			<input type="text" size=3 name=Id value="<?php echo $Id ?>"> (0 pour ajouter un container)
		</td>
	</tr>
	<tr>
		<td>
			Container père :
		</td>
		<td>
			<input type="text" size=3 name=Container value="<?php echo $Container ?>"> (1 par défaut)
		</td>
	</tr>
	<tr>
		<td>
			Nom :
		</td>
		<td>
			<input type="text" size="30" name="Name" value="<?php echo $Name ?>">
		</td>
	</tr>
	<tr>
		<td>
			Date d'affichage :
		</td>
		<td>
			<input type="text" name="ShowTime" value="<?php echo $ShowTime ?>">
		</td>
	</tr>
	<tr>
		<td>
			Date limite :
		</td>
		<td>
			<input type="text" name="EndTime" value="<?php echo $EndTime ?>"> AAAA-MM-JJ HH:MM:SS
		</td>
	</tr>
	<tr>
		<td>
			Offset d'affichage : (nb de secondes après le ShowTime qd la motion va commencer)
		</td>
		<td>
			<input type="text" name="ShowTimeOffset" value="<?php echo $ShowTimeOffset	 ?>">
		</td>
	</tr>
	<tr>
		<td>
			Offset limite : (nb de secondes après le ShowTime qd la motion va s'arrêter. Pour des questions durant une journée, on met le ShowTimeOffset = 0 et le EndTimeOffset = 86400)
		</td>
		<td>
			<input type="text" name="EndTimeOffset" value="<?php echo $EndTimeOffset ?>"> AAAA-MM-JJ HH:MM:SS
		</td>
	</tr>
</table>
<br>
    <input type=submit name=submit value="Infos">&nbsp;&nbsp;&nbsp;
    <input type=submit name=submit value="Valider">&nbsp;&nbsp;&nbsp;
	<input type=submit name=submit value="Supprimer"><br>
	</form>
<a class=under href="<?php echo $PHP_SELF ?>">Rafraichir la page</a>